#!/bin/sh
# This script is tested at OpenSUSE 42.3 64bit
# This script should work for OpenSUSE 42.xx and 15
cd /tmp
zypper in -y wget
zypper in -y pigz
zypper in -y --type pattern devel_basis
zypper in -y --type pattern devel_C_C++
zypper in -y --type pattern devel_python
zypper in -y python-pip python-setuptools python-wheel
zypper in -y python3-devel
zypper in -y zlib-devel
zypper in -y libzip2
zypper in -y xz-devel
zypper in -y ncurses-devel
zypper in -y tbb-devel
zypper in -y perl-App-cpanminus
#####################################################
pip install --upgrade cutadapt
wget https://github.com/BenLangmead/bowtie2/archive/v2.3.3.1.tar.gz
tar -xvzf v2.3.3.1.tar.gz
cd bowtie2-2.3.3.1
make
make install
cd ..
wget https://github.com/samtools/samtools/releases/download/1.6/samtools-1.6.tar.bz2
tar -xvjf samtools-1.6.tar.bz2
cd samtools-1.6
./configure
make
make install
cd ..
wget https://github.com/lh3/seqtk/archive/master.zip
unzip master.zip
cd seqtk-master
make
cp seqtk /usr/local/bin/
cd ..
wget http://faculty.virginia.edu/wrpearson/fasta/fasta33-35/fasta-35.4.12.tar.gz
tar -xvzf fasta-35.4.12.tar.gz
cd fasta-35.4.12/src
make -f ../make/Makefile.linux64_sse2 all
cp ../bin/ssearch35_t /usr/local/bin/
cd ../..
wget https://mafft.cbrc.jp/alignment/software/mafft-7.313-without-extensions-src.tgz
tar -xvzf mafft-7.313-without-extensions-src.tgz
cd mafft-7.313-without-extensions/core
make
make install
cd ../..
wget https://download.opensuse.org/repositories/home:/M0ses:/Perl/openSUSE_Leap_42.3/noarch/perl-Parse-PMFile-0.41-2.3.noarch.rpm
zypper --no-gpg-checks install -y perl-Parse-PMFile-0.41-2.3.noarch.rpm
cpanm Test::More
cpanm BioUtil::Seq
cpanm Statistics::Descriptive
cpanm Getopt::Long
cpanm Config::Tiny
cpanm Sys::CpuAffinity
cpanm Bio::SeqIO
cpanm Bio::SearchIO
zypper in -y libpng12-devel
zypper in -y cairo-devel
zypper in -y pango-devel
zypper in -y gd-devel
wget https://downloads.sourceforge.net/project/gnuplot/gnuplot/5.2.2/gnuplot-5.2.2.tar.gz -O gnuplot52.tgz
cd gnuplot-5.2.2
./configure --without-lua --without-x --without-qt --disable-wxwidgets
make
make install
cd ..
